Bug 1115185 - Review Request: python-sphinx_rtd_theme - Sphinx theme for readthedocs.org
Summary: Review Request: python-sphinx_rtd_theme - Sphinx theme for readthedocs.org
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-01 19:50 UTC by Jerry James
Modified: 2014-07-21 05:22 UTC (History)
2 users (show)

Fixed In Version: python-sphinx_rtd_theme-0.1.6-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 05:22:38 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2014-07-01 19:50:05 UTC
Spec URL: http://jjames.fedorapeople.org/python-sphinx-rtd-theme/python-sphinx-rtd-theme.spec
SRPM URL: http://jjames.fedorapeople.org/python-sphinx-rtd-theme/python-sphinx-rtd-theme-0.2013-1.20140611gitb83f5ad.fc21.src.rpm
Fedora Account System Username: jjames
Description: This is a prototype mobile-friendly sphinx theme for readthedocs.org.  It's currently in development and includes some rtd variable checks that can be ignored if you're just trying to use it on your project outside of that site.

This package is a new build-time dependency for python-networkx.

Comment 1 Christopher Meng 2014-07-02 05:54:22 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
python-sphinx-rtd-theme-0.2013/python3-sphinx_rtd_theme-b83f5adf977fc5cba494ebe9182009f634ce9bd2/demo_docs/source/conf.py
python-sphinx-rtd-theme-0.2013/python3-sphinx_rtd_theme-b83f5adf977fc5cba494ebe9182009f634ce9bd2/demo_docs/source/test_py_module/test.py
python-sphinx-rtd-theme-0.2013/python3-sphinx_rtd_theme-b83f5adf977fc5cba494ebe9182009f634ce9bd2/setup.py
python-sphinx-rtd-theme-0.2013/python3-sphinx_rtd_theme-b83f5adf977fc5cba494ebe9182009f634ce9bd2/sphinx_rtd_theme/__init__.py
python-sphinx-rtd-theme-0.2013/sphinx_rtd_theme-b83f5adf977fc5cba494ebe9182009f634ce9bd2/demo_docs/source/conf.py
python-sphinx-rtd-theme-0.2013/sphinx_rtd_theme-b83f5adf977fc5cba494ebe9182009f634ce9bd2/demo_docs/source/test_py_module/test.py
python-sphinx-rtd-theme-0.2013/sphinx_rtd_theme-b83f5adf977fc5cba494ebe9182009f634ce9bd2/setup.py
python-sphinx-rtd-theme-0.2013/sphinx_rtd_theme-b83f5adf977fc5cba494ebe9182009f634ce9bd2/sphinx_rtd_theme/__init__.py

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 20 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -sphinx-rtd-theme
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-sphinx-rtd-theme-0.2013-1.20140611gitb83f5ad.fc21.noarch.rpm
          python3-sphinx-rtd-theme-0.2013-1.20140611gitb83f5ad.fc21.noarch.rpm
          python-sphinx-rtd-theme-0.2013-1.20140611gitb83f5ad.fc21.src.rpm
python-sphinx-rtd-theme.noarch: W: spelling-error Summary(en_US) readthedocs -> headteachers
python-sphinx-rtd-theme.noarch: W: spelling-error %description -l en_US readthedocs -> headteachers
python-sphinx-rtd-theme.noarch: W: dangling-symlink /usr/lib/python2.7/site-packages/sphinx_rtd_theme/static/fonts/fontawesome-webfont.ttf /usr/share/fonts/fontawesome/fontawesome-webfont.ttf
python3-sphinx-rtd-theme.noarch: W: spelling-error Summary(en_US) readthedocs -> headteachers
python3-sphinx-rtd-theme.noarch: W: spelling-error %description -l en_US readthedocs -> headteachers
python3-sphinx-rtd-theme.noarch: W: dangling-symlink /usr/lib/python3.4/site-packages/sphinx_rtd_theme/static/fonts/fontawesome-webfont.ttf /usr/share/fonts/fontawesome/fontawesome-webfont.ttf
python-sphinx-rtd-theme.src: W: spelling-error Summary(en_US) readthedocs -> headteachers
python-sphinx-rtd-theme.src: W: spelling-error %description -l en_US readthedocs -> headteachers
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-sphinx-rtd-theme python3-sphinx-rtd-theme
python-sphinx-rtd-theme.noarch: W: spelling-error Summary(en_US) readthedocs -> headteachers
python-sphinx-rtd-theme.noarch: W: spelling-error %description -l en_US readthedocs -> headteachers
python-sphinx-rtd-theme.noarch: W: dangling-symlink /usr/lib/python2.7/site-packages/sphinx_rtd_theme/static/fonts/fontawesome-webfont.ttf /usr/share/fonts/fontawesome/fontawesome-webfont.ttf
python3-sphinx-rtd-theme.noarch: W: spelling-error Summary(en_US) readthedocs -> headteachers
python3-sphinx-rtd-theme.noarch: W: spelling-error %description -l en_US readthedocs -> headteachers
python3-sphinx-rtd-theme.noarch: W: dangling-symlink /usr/lib/python3.4/site-packages/sphinx_rtd_theme/static/fonts/fontawesome-webfont.ttf /usr/share/fonts/fontawesome/fontawesome-webfont.ttf
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-sphinx-rtd-theme (rpmlib, GLIBC filtered):
    fontawesome-fonts
    python(abi)

python3-sphinx-rtd-theme (rpmlib, GLIBC filtered):
    fontawesome-fonts
    python(abi)



Provides
--------
python-sphinx-rtd-theme:
    python-sphinx-rtd-theme

python3-sphinx-rtd-theme:
    python3-sphinx-rtd-theme



Source checksums
----------------
https://github.com/snide/sphinx_rtd_theme/archive/b83f5adf977fc5cba494ebe9182009f634ce9bd2/python-sphinx-rtd-theme-0.2013-b83f5ad.tar.gz :
  CHECKSUM(SHA256) this package     : 11ef5aa1e61efc0d11097c38988f1d02b5f1bc3c6313d18826bd268a0d985849
  CHECKSUM(SHA256) upstream package : 11ef5aa1e61efc0d11097c38988f1d02b5f1bc3c6313d18826bd268a0d985849


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn python-sphinx-rtd-theme-0.2013-1.20140611gitb83f5ad.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------------------
Please remake an RPM with sources from:

https://pypi.python.org/pypi/sphinx_rtd_theme

I will review again.

Comment 2 Jerry James 2014-07-03 22:23:09 UTC
Oh, nice.  That tarball is much easier to work with.  Also, I have had second thoughts about changing the underscores to hyphens in the name.  Due to that and the abrupt change in version number, I'm starting over with the RPM changelog and versioning.  New URLs:

Spec URL: http://jjames.fedorapeople.org/python-sphinx_rtd_theme/python-sphinx_rtd_theme.spec
SRPM URL: http://jjames.fedorapeople.org/python-sphinx_rtd_theme/python-sphinx_rtd_theme-0.1.6-1.fc21.src.rpm

Comment 3 Christopher Meng 2014-07-04 02:08:51 UTC
PACKAGE APPROVED.

Comment 4 Jerry James 2014-07-07 20:27:59 UTC
Thank you very much for the review!

Comment 5 Jerry James 2014-07-07 20:30:13 UTC
New Package SCM Request
=======================
Package Name: python-sphinx_rtd_theme
Short Description: Sphinx theme for readthedocs.org
Upstream URL: https://github.com/snide/sphinx_rtd_theme
Owners: jjames
Branches: f20
InitialCC:

Comment 6 Gwyn Ciesla 2014-07-08 12:49:23 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-07-08 16:20:18 UTC
python-sphinx_rtd_theme-0.1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-sphinx_rtd_theme-0.1.6-1.fc20

Comment 8 Fedora Update System 2014-07-09 02:30:50 UTC
python-sphinx_rtd_theme-0.1.6-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 9 Fedora Update System 2014-07-21 05:22:38 UTC
python-sphinx_rtd_theme-0.1.6-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.